HttpSessionHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.http.HttpSessionHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class HttpSessionHandler

    java.lang.Object
      org.mule.transport.http.HttpSessionHandler

All Implemented Interfaces:
  SessionHandler

    public class HttpSessionHandler

extends Object
implements SessionHandler

Will read and write Http Cookie information to and from the Mule MuleSession

Field Summary
`protected Log` | `logger` logger used by this class

Constructor Summary
`HttpSessionHandler()`

Method Summary
`String` | `getSessionIDKey()` The property name of the session id to use when creating the Mule session.
`void` | `retrieveSessionInfoFromMessage(MuleMessage message, MuleSession session)`
`void` | `storeSessionInfoToMessage(MuleSession session, MuleMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  logger used by this class

Constructor Detail

### HttpSessionHandler

    public HttpSessionHandler()

Method Detail

### retrieveSessionInfoFromMessage

    public void retrieveSessionInfoFromMessage(MuleMessage message,
                                               MuleSession session)
                                        throws MuleException

  Specified by:
    `retrieveSessionInfoFromMessage` in interface `SessionHandler`
  Throws:
    `MuleException`

### storeSessionInfoToMessage

    public void storeSessionInfoToMessage(MuleSession session,
                                          MuleMessage message)
                                   throws MuleException

  Specified by:
    `storeSessionInfoToMessage` in interface `SessionHandler`
  Throws:
    `MuleException`

### getSessionIDKey

    public String getSessionIDKey()

  Description copied from interface: `SessionHandler`
  The property name of the session id to use when creating the Mule session. by default the property name "ID" will be used. If no property was set on the session called "ID" a session id will be automatically generated

  Specified by:
    `getSessionIDKey` in interface `SessionHandler`
  Returns:
    the property name of the session id that is set on the session

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.